% twoimpdelNK.m
% plots impulse response to capital depreciation shock
% for benchmark NK model, and benchmark flexible price model




load impold

T=max(size(oo_.irfs.xd_epd));
xaT=1:T;
zer=zeros(T,1);


subplot(3,3,1)
plot([oo_.irfs.xd_epd',oo_old.irfs.xd_epd',zer])
title('Depreciation shock, {\delta}')

subplot(3,3,2)
plot([oo_.irfs.mu_epd',oo_old.irfs.mu_epd',zer])
title('Inflation, {\mu}')


subplot(3,3,3)
plot([oo_.irfs.capy_epd',oo_old.irfs.capy_epd',zer])
title('Output, Y')

subplot(3,3,4)
plot([oo_.irfs.capi_epd',oo_old.irfs.capi_epd',zer])
title('Investment, I')

subplot(3,3,5)
plot([oo_.irfs.c_epd',oo_old.irfs.c_epd',zer])
title('Consumption, C')

subplot(3,3,6)
plot([oo_.irfs.rf_epd',oo_old.irfs.rf_epd',zer])
title('Nominal int. rate, r')

subplot(3,3,7)
plot([oo_.irfs.capn_epd',oo_old.irfs.capn_epd',zer])
title('Labor, N')

subplot(3,3,8)
plot([oo_.irfs.defr_epd',oo_old.irfs.defr_epd',zer])
title('Default rate, defr')

subplot(3,3,9)
plot([oo_.irfs.qomega_epd',oo_old.irfs.qomega_epd',zer])
title('Leverage, q{\omega}')

