function [di]=impxik(xik, ao,bo,aR,bR,j_ss,mktl_ss,mu, lambda ,c,tau,bbeta, Phizstar_ss,phizstar_ss,xi,zstar,h0 )
% Implicit function for xik for steady state calculation

om=ao+bo*xik;
R=aR+bR*om;
p = mktl_ss /om;
dj =-p*(1-lambda)/exp(mu);
dz =-(c + lambda/(1-tau))/exp(mu) + dj/(1-tau);
dpo= (p+(1-tau)*bbeta*Phizstar_ss*dz)/((1-lambda)/exp(mu)-1);
di = -p - dpo+bbeta*((1-lambda)*p/exp(mu)+Phizstar_ss*(c+lambda)/exp(mu)+(1-Phizstar_ss)*dj+ phizstar_ss*dz*((c+lambda)*om/exp(mu)-(1-tau)*R*xi+xik-j_ss+(1-tau)*zstar) + (1-lambda)*(om/exp(mu))*(dpo/om)*h0) ;

end


