
% twoimpepsNK.m
% plots impulse response to negative productivity shock
% for benchmark NK model, and NK model with one-period debt



load impold

T=max(size(oo_.irfs.a_eps));
xaT=1:T;
zer=zeros(T,1);


subplot(3,3,1)
plot(-[oo_.irfs.a_eps',oo_old.irfs.a_eps',zer])
title('Productivity shock, a')



subplot(3,3,2)
plot(-[oo_.irfs.mu_eps',oo_old.irfs.mu_eps',zer])
title('Inflation, {\mu}')


subplot(3,3,3)
plot(-[oo_.irfs.capy_eps',oo_old.irfs.capy_eps',zer])
title('Output, Y')

subplot(3,3,4)
plot(-[oo_.irfs.capi_eps',oo_old.irfs.capi_eps',zer])
title('Investment, I')

subplot(3,3,5)
plot(-[oo_.irfs.c_eps',oo_old.irfs.c_eps',zer])
title('Consumption, C')

subplot(3,3,6)
plot(-[oo_.irfs.rf_eps',oo_old.irfs.rf_eps',zer])
title('Nominal int. rate, r')

subplot(3,3,7)
plot(-[oo_.irfs.capn_eps',oo_old.irfs.capn_eps',zer])
title('Labor, N')

subplot(3,3,8)
plot(-[oo_.irfs.defr_eps',oo_old.irfs.defr_eps',zer])
title('Default rate, defr')

subplot(3,3,9)
plot(-[oo_.irfs.qomega_eps',oo_old.irfs.qomega_eps',zer])
title('Leverage, q {\omega}` ')


